Memerr
======

[![Build Status](https://drone.clortox.com/api/badges/Infrastructure/Memerr/status.svg)](https://drone.clortox.com/Infrastructure/Memerr)

A discord bot to manage you and your friend's meme collection

You can get this on [Docker](https://hub.docker.com/r/clortox/memerr)

Features
----

- [X] Run in a docker container
- [X] Query for memes by name
- [X] Fuzzy search for memes
- [X] Get a random meme
- [X] Get a set of memes
- [X] Upload memes to bucket
- [X] Find the uploader of a meme 
- [ ] Check status of Plex instance

Enviroment vars
------

| Environment Variable   | Description                                 |
| ----                   | ---                                         |
| DISCORD_TOKEN          | Discord bot auth token                      |
| S3_URL                 | S3 Endpoint, include port if needed         |
| S3_UN                  | S3 Username                                 |
| S3_PW                  | S3 Password                                 |
| S3_TLS                 | 'True' or 'False' to use TLS (Default True) |
| S3_BUCKET              | The bucket to use                           |
| TAUTULLI_URL (TODO)    | URL of tautulli server                      |
| TAUTULLI_APIKEY (TODO) | APIKEY to access the tautulli server        |

