#!/bin/bash

if [ ! -d "./venv" ]; then
    mkdir ./venv 2> /dev/null
    python -m venv ./venv
fi

cp ./src/* ./venv/
cp ./src/.env ./venv/.env 2> /dev/null

cd ./venv
pip install -r requirements.txt --user
touch .env
echo "evn $(cat .env | xargs) python ./main.py" >> run.sh
chmod +x run.sh

env $(cat .env | xargs) python ./main.py
